/* prism2wext.h -*- linux-c -*-
 *     _     _   ___   _   _  _____  _   _   ___   __   _
 *    | | _ | | / _ \ | | | || ____|| |_| | / _ \ |  \ | |
 *    | || || || /_\ || | | || ___| | ___ || /_\ ||   \| |
 *    | || || || ___ | \ | / | |___ | | | || ___ || |\   |
 * www.\_/ \_/ |_| |_|  \_/  |_____||_| |_||_| |_||_| \__|.de 
 *
 * Wireless Tools 10+ compatibility for linux-wlan-ng based on code
 * of wlancfg and orinoco_cs
 *
 * author:  Reyk Floeter <reyk@synack.de>
 * home:    https://www.wavehan.de/projekte/prism2/
 * date:    10/04/2001
 * version: 0.0.4
 *
 * This application is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This application is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 * 02111 USA. 
 */

/*================================================================*/
/* System Includes */

#ifndef _PRISM2_WEXT_H
#define _PRISM2_WEXT_H

#if WIRELESS_EXT > 10

/** function prototypes =============== */
/* called by /proc/net/wireless */
struct iw_statistics* prism2wext_get_wireless_stats(struct net_device *dev);
/* wireless extensions' ioctls */ 
int prism2wext_support_ioctl(struct net_device *dev, struct iwreq *iwr, int cmd);
/* used by the ioctls ----------------- */
/* return a string value to user space */
int prism2wext_get_string(hfa384x_t *hw, struct iw_point *erq, UINT16 rid, UINT16 len);
/* determine a channel */
int prism2wext_get_channel(struct iw_freq *iwf);
/* ... */

#endif

#endif /* _PRISM2_WEXT_H */



